Package de.willuhn.jameica.hbci.gui.menus

# Class UmsatzTypList

java.lang.Object
de.willuhn.jameica.gui.parts.ContextMenu
de.willuhn.jameica.hbci.gui.menus.UmsatzTypList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.extension.Extendable`, `de.willuhn.jameica.gui.Part`

public class UmsatzTypList extends de.willuhn.jameica.gui.parts.ContextMenu implements de.willuhn.jameica.gui.extension.Extendable
Liefert ein vorgefertigtes Kontext-Menu, welches an Listen von Umsatz-Kategorien angehaengt werden kann.

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypList()`
Erzeugt ein Kontext-Menu fuer eine Liste von Umsaetzen.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtendableID()`

### Methods inherited from class de.willuhn.jameica.gui.parts.ContextMenu

`addItem, addMenu, getItems, paint, setCurrentObject, setImage, setText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypList

public UmsatzTypList()
Erzeugt ein Kontext-Menu fuer eine Liste von Umsaetzen.

## Method Details

### getExtendableID

public String getExtendableID()

Specified by:
  `getExtendableID` in interface `de.willuhn.jameica.gui.extension.Extendable`
See Also:
  - `Extendable.getExtendableID()`